com.taosdata.jdbc

## Class TSDBResultSet

- java.lang.Object
- - com.taosdata.jdbc.WrapperImpl
  - - com.taosdata.jdbc.AbstractResultSet
    - - com.taosdata.jdbc.TSDBResultSet

All Implemented Interfaces:
  AutoCloseable, ResultSet, Wrapper

    public class TSDBResultSet
    extends AbstractResultSet

### Field Summary

### Fields inherited from class com.taosdata.jdbc.AbstractResultSet

`START_BACKEND_FETCH_BLOCK_NUM, timestampPrecision, wasNull`

### Fields inherited from interface java.sql.ResultSet

`CLOSE_CURSORS_AT_COMMIT, CONCUR_READ_ONLY, CONCUR_UPDATABLE, FETCH_FORWARD, FETCH_REVERSE, FETCH_UNKNOWN, HOLD_CURSORS_OVER_COMMIT, TYPE_FORWARD_ONLY, TYPE_SCROLL_INSENSITIVE, TYPE_SCROLL_SENSITIVE`

### Constructor Summary

Constructors
Constructor and Description
`TSDBResultSet(TSDBStatement statement, TSDBJNIConnector connector, long resultSetPointer, int timestampPrecision)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `absolute(int row)`
`void` `afterLast()`
`void` `beforeFirst()`
`void` `close()`
`int` `findColumn(String columnLabel)`
`boolean` `first()`
`BigDecimal` `getBigDecimal(int columnIndex)`
`boolean` `getBoolean(int columnIndex)`
`byte` `getByte(int columnIndex)`
`byte[]` `getBytes(int columnIndex)`
`double` `getDouble(int columnIndex)`
`float` `getFloat(int columnIndex)`
`int` `getInt(int columnIndex)`
`long` `getLong(int columnIndex)`
`ResultSetMetaData` `getMetaData()`
`String` `getNString(int columnIndex)`
`Object` `getObject(int columnIndex)`
`int` `getRow()`
`short` `getShort(int columnIndex)`
`Statement` `getStatement()`
`String` `getString(int columnIndex)`
`Timestamp` `getTimestamp(int columnIndex)`
`Timestamp` `getTimestamp(int columnIndex, Calendar cal)`
`boolean` `isAfterLast()`
`boolean` `isBeforeFirst()`
`boolean` `isClosed()`
`boolean` `isFirst()`
`boolean` `isLast()`
`boolean` `last()`
`boolean` `next()`
`boolean` `previous()`
`boolean` `relative(int rows)`
`void` `setColumnMetaDataList(List<ColumnMetaData> columnMetaDataList)`
`boolean` `wasNull()`

### Methods inherited from class com.taosdata.jdbc.AbstractResultSet

`cancelRowUpdates, checkAvailability, clearWarnings, deleteRow, getArray, getArray, getAsciiStream, getAsciiStream, getBigDecimal, getBigDecimal, getBigDecimal, getBinaryStream, getBinaryStream, getBlob, getBlob, getBoolean, getByte, getBytes, getCharacterStream, getCharacterStream, getClob, getClob, getConcurrency, getCursorName, getDate, getDate, getDate, getDate, getDouble, getFetchDirection, getFetchSize, getFloat, getForkJoinPool, getHoldability, getInt, getLong, getNCharacterStream, getNCharacterStream, getNClob, getNClob, getNString, getObject, getObject, getObject, getObject, getObject, getRef, getRef, getRowId, getRowId, getShort, getSQLXML, getSQLXML, getString, getTime, getTime, getTime, getTime, getTimestamp, getTimestamp, getType, getUnicodeStream, getUnicodeStream, getURL, getURL, getWarnings, insertRow, moveToCurrentRow, moveToInsertRow, refreshRow, rowDeleted, rowInserted, rowUpdated, setFetchDirection, setFetchSize, setTimestampPrecision, updateArray, updateArray, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateBigDecimal, updateBigDecimal, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBlob, updateBlob, updateBlob, updateBlob, updateBlob, updateBlob, updateBoolean, updateBoolean, updateByte, updateByte, updateBytes, updateBytes, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateClob, updateClob, updateClob, updateClob, updateClob, updateClob, updateDate, updateDate, updateDouble, updateDouble, updateFloat, updateFloat, updateInt, updateInt, updateLong, updateLong, updateNCharacterStream, updateNCharacterStream, updateNCharacterStream, updateNCharacterStream, updateNClob, updateNClob, updateNClob, updateNClob, updateNClob, updateNClob, updateNString, updateNString, updateNull, updateNull, updateObject, updateObject, updateObject, updateObject, updateRef, updateRef, updateRow, updateRowId, updateRowId, updateShort, updateShort, updateSQLXML, updateSQLXML, updateString, updateString, updateTime, updateTime, updateTimestamp, updateTimestamp`

### Methods inherited from class com.taosdata.jdbc.WrapperImpl

`isWrapperFor, unwrap`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.sql.ResultSet

`updateObject, updateObject, updateObject, updateObject`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

### Constructor Detail

#### TSDBResultSet

    public TSDBResultSet(TSDBStatement statement,
                         TSDBJNIConnector connector,
                         long resultSetPointer,
                         int timestampPrecision)
                  throws SQLException

Throws:
  `SQLException`

### Method Detail

#### setColumnMetaDataList

    public void setColumnMetaDataList(List<ColumnMetaData> columnMetaDataList)

#### next

    public boolean next()
                 throws SQLException

Specified by:
  `next` in interface `ResultSet`
Specified by:
  `next` in class `AbstractResultSet`
Throws:
  `SQLException`

#### close

    public void close()
               throws SQLException

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `ResultSet`
Specified by:
  `close` in class `AbstractResultSet`
Throws:
  `SQLException`

#### wasNull

    public boolean wasNull()
                    throws SQLException

Specified by:
  `wasNull` in interface `ResultSet`
Overrides:
  `wasNull` in class `AbstractResultSet`
Throws:
  `SQLException`

#### getString

    public String getString(int columnIndex)
                     throws SQLException

Specified by:
  `getString` in interface `ResultSet`
Specified by:
  `getString` in class `AbstractResultSet`
Throws:
  `SQLException`

#### getBoolean

    public boolean getBoolean(int columnIndex)
                       throws SQLException

Specified by:
  `getBoolean` in interface `ResultSet`
Specified by:
  `getBoolean` in class `AbstractResultSet`
Throws:
  `SQLException`

#### getByte

    public byte getByte(int columnIndex)
                 throws SQLException

Specified by:
  `getByte` in interface `ResultSet`
Specified by:
  `getByte` in class `AbstractResultSet`
Throws:
  `SQLException`

#### getShort

    public short getShort(int columnIndex)
                   throws SQLException

Specified by:
  `getShort` in interface `ResultSet`
Specified by:
  `getShort` in class `AbstractResultSet`
Throws:
  `SQLException`

#### getInt

    public int getInt(int columnIndex)
               throws SQLException

Specified by:
  `getInt` in interface `ResultSet`
Specified by:
  `getInt` in class `AbstractResultSet`
Throws:
  `SQLException`

#### getLong

    public long getLong(int columnIndex)
                 throws SQLException

Specified by:
  `getLong` in interface `ResultSet`
Specified by:
  `getLong` in class `AbstractResultSet`
Throws:
  `SQLException`

#### getFloat

    public float getFloat(int columnIndex)
                   throws SQLException

Specified by:
  `getFloat` in interface `ResultSet`
Specified by:
  `getFloat` in class `AbstractResultSet`
Throws:
  `SQLException`

#### getDouble

    public double getDouble(int columnIndex)
                     throws SQLException

Specified by:
  `getDouble` in interface `ResultSet`
Specified by:
  `getDouble` in class `AbstractResultSet`
Throws:
  `SQLException`

#### getBytes

    public byte[] getBytes(int columnIndex)
                    throws SQLException

Specified by:
  `getBytes` in interface `ResultSet`
Specified by:
  `getBytes` in class `AbstractResultSet`
Throws:
  `SQLException`

#### getTimestamp

    public Timestamp getTimestamp(int columnIndex)
                           throws SQLException

Specified by:
  `getTimestamp` in interface `ResultSet`
Specified by:
  `getTimestamp` in class `AbstractResultSet`
Throws:
  `SQLException`

#### getMetaData

    public ResultSetMetaData getMetaData()
                                  throws SQLException

Specified by:
  `getMetaData` in interface `ResultSet`
Specified by:
  `getMetaData` in class `AbstractResultSet`
Throws:
  `SQLException`

#### getObject

    public Object getObject(int columnIndex)
                     throws SQLException

Specified by:
  `getObject` in interface `ResultSet`
Specified by:
  `getObject` in class `AbstractResultSet`
Throws:
  `SQLException`

#### findColumn

    public int findColumn(String columnLabel)
                   throws SQLException

Specified by:
  `findColumn` in interface `ResultSet`
Specified by:
  `findColumn` in class `AbstractResultSet`
Throws:
  `SQLException`

#### getBigDecimal

    public BigDecimal getBigDecimal(int columnIndex)
                             throws SQLException

Specified by:
  `getBigDecimal` in interface `ResultSet`
Specified by:
  `getBigDecimal` in class `AbstractResultSet`
Throws:
  `SQLException`

#### isBeforeFirst

    public boolean isBeforeFirst()
                          throws SQLException

Specified by:
  `isBeforeFirst` in interface `ResultSet`
Specified by:
  `isBeforeFirst` in class `AbstractResultSet`
Throws:
  `SQLException`

#### isAfterLast

    public boolean isAfterLast()
                        throws SQLException

Specified by:
  `isAfterLast` in interface `ResultSet`
Specified by:
  `isAfterLast` in class `AbstractResultSet`
Throws:
  `SQLException`

#### isFirst

    public boolean isFirst()
                    throws SQLException

Specified by:
  `isFirst` in interface `ResultSet`
Specified by:
  `isFirst` in class `AbstractResultSet`
Throws:
  `SQLException`

#### isLast

    public boolean isLast()
                   throws SQLException

Specified by:
  `isLast` in interface `ResultSet`
Specified by:
  `isLast` in class `AbstractResultSet`
Throws:
  `SQLException`

#### beforeFirst

    public void beforeFirst()
                     throws SQLException

Specified by:
  `beforeFirst` in interface `ResultSet`
Specified by:
  `beforeFirst` in class `AbstractResultSet`
Throws:
  `SQLException`

#### afterLast

    public void afterLast()
                   throws SQLException

Specified by:
  `afterLast` in interface `ResultSet`
Specified by:
  `afterLast` in class `AbstractResultSet`
Throws:
  `SQLException`

#### first

    public boolean first()
                  throws SQLException

Specified by:
  `first` in interface `ResultSet`
Specified by:
  `first` in class `AbstractResultSet`
Throws:
  `SQLException`

#### last

    public boolean last()
                 throws SQLException

Specified by:
  `last` in interface `ResultSet`
Specified by:
  `last` in class `AbstractResultSet`
Throws:
  `SQLException`

#### getRow

    public int getRow()
               throws SQLException

Specified by:
  `getRow` in interface `ResultSet`
Specified by:
  `getRow` in class `AbstractResultSet`
Throws:
  `SQLException`

#### absolute

    public boolean absolute(int row)
                     throws SQLException

Specified by:
  `absolute` in interface `ResultSet`
Specified by:
  `absolute` in class `AbstractResultSet`
Throws:
  `SQLException`

#### relative

    public boolean relative(int rows)
                     throws SQLException

Specified by:
  `relative` in interface `ResultSet`
Specified by:
  `relative` in class `AbstractResultSet`
Throws:
  `SQLException`

#### previous

    public boolean previous()
                     throws SQLException

Specified by:
  `previous` in interface `ResultSet`
Specified by:
  `previous` in class `AbstractResultSet`
Throws:
  `SQLException`

#### getStatement

    public Statement getStatement()
                           throws SQLException

Specified by:
  `getStatement` in interface `ResultSet`
Specified by:
  `getStatement` in class `AbstractResultSet`
Throws:
  `SQLException`

#### getTimestamp

    public Timestamp getTimestamp(int columnIndex,
                                  Calendar cal)
                           throws SQLException

Specified by:
  `getTimestamp` in interface `ResultSet`
Specified by:
  `getTimestamp` in class `AbstractResultSet`
Throws:
  `SQLException`

#### isClosed

    public boolean isClosed()
                     throws SQLException

Specified by:
  `isClosed` in interface `ResultSet`
Specified by:
  `isClosed` in class `AbstractResultSet`
Throws:
  `SQLException`

#### getNString

    public String getNString(int columnIndex)
                      throws SQLException

Specified by:
  `getNString` in interface `ResultSet`
Specified by:
  `getNString` in class `AbstractResultSet`
Throws:
  `SQLException`